### org.jfree.layouting.renderer.model.table.rows

# Interface TableRowModel

Known Implementing Classes:
  AbstractRowModel, SeparateRowModel

`public interface TableRowModel`

Creation-Date: 22.07.2006, 13:20:23

Author:
  Thomas Morgner

  ## Method Summary

  `void`

  `addRow(TableRow row)`

  `void`

  `clear()`

  `long`

  `getPreferredSize()`

  `TableRow`

  `getRow(int i)`

  `int`

  `getRowCount()`

  `long`

  `getRowSpacing()`

  `TableRow[]`

  `getRows()`

  `TableSectionRenderBox`

  `getTableSection()`

  `void`

  `validateActualSizes()`

  `void`

  `validateSizes()`

## Method Details

### addRow

    public void addRow(TableRow row)

### clear

    public void clear()

### getPreferredSize

    public long getPreferredSize()

### getRow

    public TableRow getRow(int i)

### getRowCount

    public int getRowCount()

### getRowSpacing

    public long getRowSpacing()

### getRows

    public TableRow[] getRows()

### getTableSection

    public TableSectionRenderBox getTableSection()

### validateActualSizes

    public void validateActualSizes()

### validateSizes

    public void validateSizes()